# Uses of Interface
org.eclipse.jsch.core.IJSchLocation

Packages that use IJSchLocation
Package
Description
org.eclipse.jsch.core
Provides support for the JSch SSH2 library.

## Uses of IJSchLocation in org.eclipse.jsch.core

Methods in org.eclipse.jsch.core that return IJSchLocation
Modifier and Type
Method
Description
`IJSchLocation`
IJSchService.`getLocation(String user, String host, int port)`
Get the IJSchLocation according to given user name, host name and port number.
Methods in org.eclipse.jsch.core with parameters of type IJSchLocation
Modifier and Type
Method
Description
`void`
IPasswordStore.`clear(IJSchLocation location)`
The cached password should be flushed.
`com.jcraft.jsch.Session`
IJSchService.`createSession(IJSchLocation location, com.jcraft.jsch.UserInfo uinfo)`
Create a `Session` that can be used to make SSH2 connections.
`boolean`
IPasswordStore.`isCached(IJSchLocation location)`
This method will check if the password is cached or not.
`void`
IPasswordStore.`update(IJSchLocation location)`
The new password "location.getPassword()" will be cached.